OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Gps App That Actually Works...
sibble-comp-oesf
post Sep 25 2005, 10:36 AM
Post #1





Group: Members
Posts: 43
Joined: 8-August 05
Member No.: 7,814



Anyone found an gps application that:

1) works with OZ3.5.3
2) works reliably with OZ3.5.3
3) doesn't have major dependencies
4) doesn't require major (or preferably any) compiling/cross compiling

I have the Haicom 303MMF gps unit

http://www.haicom.com.tw/gps303.shtml

It can be used as a serial, usb or cf gps. I use it in serial mode with a serialIO cable.

I've tried the following apps (and done a lot of reading on all of them both through the forums and google) on my 3.5.3 Z and my Sharp 3.10 rom Z.

1) RoadmapGPS/Roadmap
2) QpeGPS
3) zGPS
4) EPS

RoadmapGPS works fine for seeing the satelittes visible and the nmea data, but doesn't give easily readable position info. Roadmap just barfs with an error. QpeGPS doesn't work with gpsd 2.2.0-rc1 from the OZ feed, using an older version of gpsd (1.10) also doesn't work for me, the GPSD telltale fluctuates back and forth between green OK and red ERR. Either way, I never get a position. zGPS doesn't pick anything up period. EPS, well it runs on the Sharp rom but also doesn't pick anything up. On the OZ rom, it won't run because of the lack of a jvm, I tried getting jeode working on my OZ machine but gave up in the wee hours of the morning. I may give it another go today. I've also tried all of these on the Sharp rom with similar results. I know the gps is working fine as I get the proper location data when running wellenreiter on the OZ unit.

Ideally I just want an app I can run and see where I am and where I've been as I'd like to get into geocaching. If it can load maps, that's great but not necessary. As long as I can see my current position (lat/long), that'd be good enough to start. If it can output a textfile of where I've been that'd be a bonus.

Suggestions?
Go to the top of the page
 
+Quote Post
sibble-comp-oesf
post Sep 25 2005, 11:29 AM
Post #2





Group: Members
Posts: 43
Joined: 8-August 05
Member No.: 7,814



Well as a follow up, zGPS is working on my Sharp rom based unit, but outputing garbage for the longitude.

as per here

http://www.infoplease.com/ipa/A0001796.html

Vancouver's lat/long is

49 13 123 06

While zGPS shows:
E 56 51 53.93555
N 49 16 00.20508

I had to put zGPS in sirf mode, in standard nmea mode, it detects nothing. Trying the same on my OZ machine results in more nonsense, none of the positions make any sense, however that may be because some of the position text is off the viewawable area of the screen....
Altitude field shows -573924.62. Heh, last time I checked I was still above ground ;-)
Go to the top of the page
 
+Quote Post
Allelectrix
post Apr 7 2008, 03:03 PM
Post #3





Group: Members
Posts: 85
Joined: 7-April 08
Member No.: 21,602



QUOTE(sibble-comp-oesf @ Sep 25 2005, 07:36 PM) *
Anyone found an gps application that:

1) works with OZ3.5.3
2) works reliably with OZ3.5.3
3) doesn't have major dependencies
4) doesn't require major (or preferably any) compiling/cross compiling

I have the Haicom 303MMF gps unit

http://www.haicom.com.tw/gps303.shtml

It can be used as a serial, usb or cf gps. I use it in serial mode with a serialIO cable.

I've tried the following apps (and done a lot of reading on all of them both through the forums and google) on my 3.5.3 Z and my Sharp 3.10 rom Z.

1) RoadmapGPS/Roadmap
2) QpeGPS
3) zGPS
4) EPS


I sympathise, I too have tried those apps on OpenZaurus. Here are my system specs:

Opie v 1.2.0
BUILT against Qt/E 2.3.10
built April 8th 2005

Linux Kernel
2.4.18-rmk7-pxa3-embedix-3.5.3
compiled by mickey@r2d2

OpenZaurus
v 3.5.3

OpenZaurus team

EPS : dont even know the executable name to run it! if i try 'eps' on the command prompt after installation, NOTHING.

QpeGPS: Install places icon in Apps tray, click on the program Icon, the timer icon appears for a breif 2 or 3 seconds then peters out to nothing, the app
wont even start. ohmy.gif

zGPS: same as QpeGPS, click on icon, timer appears for about 3 seconds, then app fails to start. ohmy.gif

Could the Gentleman that started this thread contact me at allelectrix2@yahoo.co.uk to discuss how we can sort these issues out.

I am a newbie to Linux systems being ported over from Windoze. So, if anyone can put my ignorance to side, I would be most greatful. ph34r.gif

On a better note, at least i got Kismet and Wellenreiter to work on Oz 3.5.3 . rolleyes.gif

PS How do you start your own thread on this forum ?

Thanks for any help to anyone, Jim Delaney

Go to the top of the page
 
+Quote Post
sibble-comp-oesf
post Apr 7 2008, 08:25 PM
Post #4





Group: Members
Posts: 43
Joined: 8-August 05
Member No.: 7,814



QUOTE(Allelectrix @ Apr 7 2008, 04:03 PM) *
OpenZaurus team

EPS : dont even know the executable name to run it! if i try 'eps' on the command prompt after installation, NOTHING.

QpeGPS: Install places icon in Apps tray, click on the program Icon, the timer icon appears for a breif 2 or 3 seconds then peters out to nothing, the app
wont even start. ohmy.gif

zGPS: same as QpeGPS, click on icon, timer appears for about 3 seconds, then app fails to start. ohmy.gif

Could the Gentleman that started this thread contact me at allelectrix2@yahoo.co.uk to discuss how we can sort these issues out.

I am a newbie to Linux systems being ported over from Windoze. So, if anyone can put my ignorance to side, I would be most greatful. ph34r.gif

On a better note, at least i got Kismet and Wellenreiter to work on Oz 3.5.3 . rolleyes.gif

PS How do you start your own thread on this forum ?

Thanks for any help to anyone, Jim Delaney


ROTFL, I gave up on the Zaurus as a reliable GPS navigation platform years ago. I only know of a single commercial GPS Nav program

http://www.sygic.com/linux/index.html

IIRC, the Garmin stuff is actually Linux based, but they don't sell any linux stuff as they seem to be primarily into the hardware market.

I went to a Ipaq 3600 which will run linux, but I used it with PPC2k2 to run mapopolis, then moved to a Dell Axim X51v running Windows Mobile 5. If I could get a good GPS package and the Axim was well supported by Linux (it's not yet, about half the hardware works), I'd give it another go. At the end of the day, I need something that just works and that my spouse can easily use.

When Mapopolis got out of the market, I switched to iGuidance which works pretty well.

Still use linux to sync with Axim (check out funambol, supports network, wifi and OTA syncing cross platform between desktops and pda's)

http://www.funambol.com/

I still have 3 x SL-5500's which I occaisionally use for wifi sniffing and network mapping, if I can get the linux software

http://kismetwireless.net/spectools/

for the Meta-Geek Wi-Spy to work/cross compile on the SL-5500, now that I've got a cf to usb adaptor that's supported, I may give it a go for wifi interference mapping. Also I may revisit using the Z's for wifi wep and wpa cracking.

As to QpeGps, you'll find there's lots of info here in the forums, as I remember it you need to install the Sharp Zaurus compatability libs and link QpeGPS to those libs for it to work, the same is true of a few others you mentioned.

Good luck
Go to the top of the page
 
+Quote Post
matthis
post Apr 7 2008, 09:16 PM
Post #5





Group: Members
Posts: 218
Joined: 12-February 06
From: Tokyo
Member No.: 9,124



Qpegps works very well on sharp rom. Use the gpsd ipk from the qpegps sourceforge page.
Go to the top of the page
 
+Quote Post
sibble-comp-oesf
post Apr 7 2008, 09:39 PM
Post #6





Group: Members
Posts: 43
Joined: 8-August 05
Member No.: 7,814



QUOTE(matthis @ Apr 7 2008, 10:16 PM) *
Qpegps works very well on sharp rom. Use the gpsd ipk from the qpegps sourceforge page.


Yes but as noted, neither I nor the other poster are using the Sharp Rom ;-)

That's why you have to use the Sharp compatabilitly libs on OZ 3.5.3
Go to the top of the page
 
+Quote Post
arzgi
post Apr 8 2008, 05:23 AM
Post #7





Group: Members
Posts: 47
Joined: 27-March 06
Member No.: 9,463



QUOTE(sibble-comp-oesf @ Sep 25 2005, 09:36 PM) *
Anyone found an gps application that:

1) works with OZ3.5.3
2) works reliably with OZ3.5.3
3) doesn't have major dependencies
4) doesn't require major (or preferably any) compiling/cross compiling


I too tried to find gps app for OZ. I was not succescul, so changed to pdaXii13, and since
QpeGPS has worked fine.
Go to the top of the page
 
+Quote Post
John Rose
post Apr 17 2008, 01:06 AM
Post #8





Group: Members
Posts: 3
Joined: 27-December 07
Member No.: 21,120



QUOTE(arzgi @ Apr 8 2008, 02:23 PM) *
QUOTE(sibble-comp-oesf @ Sep 25 2005, 09:36 PM) *
Anyone found an gps application that:

1) works with OZ3.5.3
2) works reliably with OZ3.5.3
3) doesn't have major dependencies
4) doesn't require major (or preferably any) compiling/cross compiling


I too tried to find gps app for OZ. I was not succescul, so changed to pdaXii13, and since
QpeGPS has worked fine.


Hi arzqui,

I've got a SL-5500 using kernel 2.4.1.18-rmk7-pxa3-embedix and (Hentges) OZ 3.5.4.1 T1. qpegps shows green for gps & gpsd but 'no GMT signal' (even though gps lines are received on ttyS3). I've used the s/w floating point gpsd from sourceforge with no success. I'm at a loss to know what to do. Can you give me any tips on setup of qpegps with pdaxii3? I've got kismet, wellenreiter &aircrack-ng running OK on Hentges. Do they run OK under pdaxii3?
Go to the top of the page
 
+Quote Post
arzgi
post Apr 17 2008, 03:11 AM
Post #9





Group: Members
Posts: 47
Joined: 27-March 06
Member No.: 9,463



QUOTE(John Rose @ Apr 17 2008, 12:06 PM) *
Hi arzqui,

I've got a SL-5500 using kernel 2.4.1.18-rmk7-pxa3-embedix and (Hentges) OZ 3.5.4.1 T1. qpegps shows green for gps & gpsd but 'no GMT signal' (even though gps lines are received on ttyS3). I've used the s/w floating point gpsd from sourceforge with no success. I'm at a loss to know what to do. Can you give me any tips on setup of qpegps with pdaxii3? I've got kismet, wellenreiter &aircrack-ng running OK on Hentges. Do they run OK under pdaxii3?


Hello John!

Check first that gpsd is running ok without qpegps. Open terminal window, start gpsd, and see if you get gps readings.

$ gpsd -f /dev/ttyS3
$ telnet localhost 2947
<Enter>r<Enter> (Ctrl-C to quit)


Go to the top of the page
 
+Quote Post
Allelectrix
post Apr 25 2008, 09:52 AM
Post #10





Group: Members
Posts: 85
Joined: 7-April 08
Member No.: 21,602



QUOTE(matthis @ Apr 8 2008, 06:16 AM) *
Qpegps works very well on sharp rom. Use the gpsd ipk from the qpegps sourceforge page.


Thanks for the info you two;-) excellent !

Matthis, you got an initrd.bin and zImage for us there of that OS QpeGps works on ?
if not, can you make a copy and send it ?

I tried all over the internet to look for somewhere to download the original Sharp ROM, I SO regret flashing it over now :-(
Sharp have only got the ROM upgrade package on their site, thats all.

please send your software to: allelectrix2@yahoo.co.uk

Thanks again guys, Allelectrix
Go to the top of the page
 
+Quote Post
Allelectrix
post Apr 25 2008, 10:08 AM
Post #11





Group: Members
Posts: 85
Joined: 7-April 08
Member No.: 21,602



QUOTE
As to QpeGps, you'll find there's lots of info here in the forums, as I remember it you need to install the Sharp Zaurus compatability libs and link QpeGPS to those libs for it to work, the same is true of a few others you mentioned.

Good luck


Thanks for the earlier info, very useful ;-)

Soooo.... THAT's why so many IPK Apps I install fail to load on Oz ! You have really solved the mystery for me their ! I would LOVE to get a Web Browser of any kind to load and run in Oz or ANY Collie OS for that matter. This would also explain why zGPS wont run in Oz but will run in Qtopia. THANKS MAN! :-D

I guess you know what I'm going to ask you now as a newbie ! :

a) where do you get the Sharp Zaurus compatability libraries from ?

cool.gif how do you link Apps to them: I will guess: 'ipkg-link add xxxxxxxapp ' is it ?

your continued help is VERY appreciated! all the very best, Allelectrix
Go to the top of the page
 
+Quote Post
Allelectrix
post Apr 25 2008, 10:19 AM
Post #12





Group: Members
Posts: 85
Joined: 7-April 08
Member No.: 21,602



QUOTE
I've got kismet, wellenreiter &aircrack-ng running OK on Hentges. Do they run OK under pdaxii3?


Hi John,

I originally bought the SL-5500 to run precisely these apps. I now find I have to recompile the kernel together with the hostap driver to get
packet injection to work (of which, I have no idea how to do) ,so may I ask you:

a) can you make an initrd.bin and zImage of that complete installation ? if so, can you send it to me at allelectrix2@yahoo.co.uk ?
cool.gif if not, can you give me step by step instructions on how to get aircrack-ng working with packet injection with hostap with this OS ?
c) and can you tell me where you got that Henteges OS from ?, and how to install it, if it is not an initrd.bin and zImage installation ?

sorry to ask the questions, but, I want to learn all smile.gif

all the very best, and thanks so much for your kind help in advance, Allelectrix
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 18th December 2014 - 02:33 AM